Get Predicted Overdue Endpoint
curl --request POST \
--url https://api.example.com/v2/analytics/predicted-overdue \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"as_of_date": "2023-12-25",
"tiers": [
{
"days": 1,
"amount_lc": "<string>"
}
],
"business_unit_id__in": [
"<string>"
]
}
'import requests
url = "https://api.example.com/v2/analytics/predicted-overdue"
payload = {
"as_of_date": "2023-12-25",
"tiers": [
{
"days": 1,
"amount_lc": "<string>"
}
],
"business_unit_id__in": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
as_of_date: '2023-12-25',
tiers: [{days: 1, amount_lc: '<string>'}],
business_unit_id__in: ['<string>']
})
};
fetch('https://api.example.com/v2/analytics/predicted-overdue', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v2/analytics/predicted-overdue",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'as_of_date' => '2023-12-25',
'tiers' => [
[
'days' => 1,
'amount_lc' => '<string>'
]
],
'business_unit_id__in' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v2/analytics/predicted-overdue"
payload := strings.NewReader("{\n \"as_of_date\": \"2023-12-25\",\n \"tiers\": [\n {\n \"days\": 1,\n \"amount_lc\": \"<string>\"\n }\n ],\n \"business_unit_id__in\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v2/analytics/predicted-overdue")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"as_of_date\": \"2023-12-25\",\n \"tiers\": [\n {\n \"days\": 1,\n \"amount_lc\": \"<string>\"\n }\n ],\n \"business_unit_id__in\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v2/analytics/predicted-overdue")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"as_of_date\": \"2023-12-25\",\n \"tiers\": [\n {\n \"days\": 1,\n \"amount_lc\": \"<string>\"\n }\n ],\n \"business_unit_id__in\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"as_of_date": "2023-12-25",
"currency": "ADP",
"tiers": [
{
"days": 1,
"amount_lc": "<string>"
}
],
"customers": [
{
"partner_id": "<string>",
"partner_name": "<string>",
"partner_account_number": "<string>",
"total_open_lc": "<string>",
"tripped_tiers": [
{
"days": 1,
"amount_threshold_lc": "<string>",
"amount_lc": "<string>",
"invoice_count": 1,
"trip_probability": 0.5
}
],
"history_count": 1
}
]
}{
"type": "request-validation",
"status": 422,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}analytics
Get Predicted Overdue Endpoint
AMETEK AR-1 ‘naughty list’: customers whose aged-overdue LC balance trips any of the supplied tier rules at the selected as-of date. On-demand (POST) because the query scans all open invoices.
POST
/
v2
/
analytics
/
predicted-overdue
Get Predicted Overdue Endpoint
curl --request POST \
--url https://api.example.com/v2/analytics/predicted-overdue \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"as_of_date": "2023-12-25",
"tiers": [
{
"days": 1,
"amount_lc": "<string>"
}
],
"business_unit_id__in": [
"<string>"
]
}
'import requests
url = "https://api.example.com/v2/analytics/predicted-overdue"
payload = {
"as_of_date": "2023-12-25",
"tiers": [
{
"days": 1,
"amount_lc": "<string>"
}
],
"business_unit_id__in": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
as_of_date: '2023-12-25',
tiers: [{days: 1, amount_lc: '<string>'}],
business_unit_id__in: ['<string>']
})
};
fetch('https://api.example.com/v2/analytics/predicted-overdue', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v2/analytics/predicted-overdue",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'as_of_date' => '2023-12-25',
'tiers' => [
[
'days' => 1,
'amount_lc' => '<string>'
]
],
'business_unit_id__in' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v2/analytics/predicted-overdue"
payload := strings.NewReader("{\n \"as_of_date\": \"2023-12-25\",\n \"tiers\": [\n {\n \"days\": 1,\n \"amount_lc\": \"<string>\"\n }\n ],\n \"business_unit_id__in\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v2/analytics/predicted-overdue")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"as_of_date\": \"2023-12-25\",\n \"tiers\": [\n {\n \"days\": 1,\n \"amount_lc\": \"<string>\"\n }\n ],\n \"business_unit_id__in\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v2/analytics/predicted-overdue")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"as_of_date\": \"2023-12-25\",\n \"tiers\": [\n {\n \"days\": 1,\n \"amount_lc\": \"<string>\"\n }\n ],\n \"business_unit_id__in\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"as_of_date": "2023-12-25",
"currency": "ADP",
"tiers": [
{
"days": 1,
"amount_lc": "<string>"
}
],
"customers": [
{
"partner_id": "<string>",
"partner_name": "<string>",
"partner_account_number": "<string>",
"total_open_lc": "<string>",
"tripped_tiers": [
{
"days": 1,
"amount_threshold_lc": "<string>",
"amount_lc": "<string>",
"invoice_count": 1,
"trip_probability": 0.5
}
],
"history_count": 1
}
]
}{
"type": "request-validation",
"status": 422,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}Authorizations
Body
application/json
Response
Successful Response
Organization's base currency (LC).
Available options:
ADP, AED, AFA, AFN, ALK, ALL, AMD, ANG, AOA, AOK, AON, AOR, ARA, ARL, ARM, ARP, ARS, ATS, AUD, AWG, AZM, AZN, BAD, BAM, BAN, BBD, BDT, BEC, BEF, BEL, BGL, BGM, BGN, BGO, BHD, BIF, BMD, BND, BOB, BOL, BOP, BOV, BRB, BRC, BRE, BRL, BRN, BRR, BRZ, BSD, BTN, BUK, BWP, BYB, BYN, BYR, BZD, CAD, CDF, CHE, CHF, CHW, CLE, CLF, CLP, CNH, CNX, CNY, COP, COU, CRC, CSD, CSK, CUC, CUP, CVE, CYP, CZK, DDM, DEM, DJF, DKK, DOP, DZD, ECS, ECV, EEK, EGP, ERN, ESA, ESB, ESP, ETB, EUR, FIM, FJD, FKP, FRF, GBP, GEK, GEL, GHC, GHS, GIP, GMD, GNF, GNS, GQE, GRD, GTQ, GWE, GWP, GYD, HKD, HNL, HRD, HRK, HTG, HUF, IDR, IEP, ILP, ILR, ILS, INR, IQD, IRR, ISJ, ISK, ITL, JMD, JOD, JPY, KES, KGS, KHR, KMF, KPW, KRH, KRO, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LTL, LTT, LUC, LUF, LUL, LVL, LVR, LYD, MAD, MAF, MCF, MDC, MDL, MGA, MGF, MKD, MKN, MLF, MMK, MNT, MOP, MRO, MRU, MTL, MTP, MUR, MVP, MVR, MWK, MXN, MXP, MXV, MYR, MZE, MZM, MZN, NAD, NGN, NIC, NIO, NLG, NOK, NPR, NZD, OMR, PAB, PEI, PEN, PES, PGK, PHP, PKR, PLN, PLZ, PTE, PYG, QAR, RHD, ROL, RON, RSD, RUB, RUR, RWF, SAR, SBD, SCR, SDD, SDG, SDP, SEK, SGD, SHP, SIT, SKK, SLE, SLL, SOS, SRD, SRG, SSP, STD, STN, SUR, SVC, SYP, SZL, THB, TJR, TJS, TMM, TMT, TND, TOP, TPE, TRL, TRY, TTD, TWD, TZS, UAH, UAK, UGS, UGX, USD, USN, USS, UYI, UYP, UYU, UYW, UZS, VEB, VED, VEF, VES, VND, VNN, VUV, WST, XAF, XAG, XAU, XBA, XBB, XBC, XBD, XCD, XCG, XDR, XEU, XFO, XFU, XOF, XPD, XPF, XPT, XRE, XSU, XTS, XUA, XXX, YDD, YER, YUD, YUM, YUN, YUR, ZAL, ZAR, ZMK, ZMW, ZRN, ZRZ, ZWD, ZWL, ZWR 